Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030891
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2015-09-22 17:272015-11-23 21:16
ReporterioritzCiaView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision4eceadac7f74
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSLinux 64 bitDatabaseOracleJava version1.6
OS VersionUbuntu 14.04Database version11gAnt version1.7
Product VersionSCM revision 
Review Assigned Tocaristu
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030891: Xsql files parser does not release statement for callable statements

DescriptionThe parser that generates a xxxxxData.java from a xxxxx_data.xsql file does not release the statement for Callable Statements.

This is making WebPOS not work properly in Oracle with high volume of transactions as it opens cursors very fast and it does not close them.

Important: This issue reported previously that the java generated did not close the connection. This happens in getStock method but it is not due to a bug. But a bad use of the method definition in the xsql.

Having connection="true" in the xsql definition of a method tells the parser that the connection will be handled by the developer later and not automatically closed by the xxxxxData.java file generated.
Steps To ReproduceGo to StockUtilData.java file.
See select method:
  It is a Prepared Statement.
  Releases the statement in the finally -> connectionProvider.releasePreparedStatement(st);

See getStock method:
  It is a Callable Statement.
  It does not release the statement.
Proposed SolutionThe parser should write the code to release the statement.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031366 closedalostale 2 tests failing in try-ret-checks-oracle 

-  Notes
(0081438)
hgbot (developer)
2015-11-02 13:38

Repository: erp/devel/pi
Changeset: 4eceadac7f74a09ffa771900c4f3a5a1403d97e8
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Oct 30 11:22:17 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4eceadac7f74a09ffa771900c4f3a5a1403d97e8 [^]

fixed bug 30891: sqlc transactional callable statemts not released in Oracle

  Working with Oracle transactional callable statements are not closed after
  invokation, causing the number of open cursors to increase unnecessarily.

  There was already code in sqlc to release the statement, but there was an
  extra incorrect check not to do it in case of callable when in transactional
  mode.

  This check has been removed, being now transactional and non transactional cases
  handled in the same way.

---
M src-core/src/org/openbravo/data/Sqlc.java
---
(0081439)
hgbot (developer)
2015-11-02 13:38

Repository: erp/devel/pi
Changeset: bf8fd604e551b5a9721840bc445689d6a0940db7
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Oct 30 11:41:50 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bf8fd604e551b5a9721840bc445689d6a0940db7 [^]

related to bug 30891: added test case

---
M src-test/src/org/openbravo/test/AntTaskTests.java
A src-test/src/org/openbravo/test/db/model/functions/SqlCallableStatement.java
---
(0081440)
hgbot (developer)
2015-11-02 13:39

Repository: erp/devel/pi
Changeset: bf568b95d85e184b68145146eaf79b1f512daed3
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Oct 30 12:03:10 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bf568b95d85e184b68145146eaf79b1f512daed3 [^]

related to bug 30891: added test case

---
M src-test/src/org/openbravo/test/AllAntTaskTests.java
---
(0081441)
hgbot (developer)
2015-11-02 13:39

Repository: erp/devel/pi
Changeset: 6af281d22ea03936ef47935fd8830726dfe86d36
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Nov 02 08:33:06 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6af281d22ea03936ef47935fd8830726dfe86d36 [^]

related to bug 30891: query open cursors as DBA

---
M src-test/src/org/openbravo/test/db/model/functions/SqlCallableStatement.java
---
(0081463)
caristu (developer)
2015-11-04 09:08

Code review + Tested OK

Now when setting connection="false" or not defining this parameter on transactional callable statements, the release statement (connectionProvider.releasePreparedStatement(st)) is included in the generated file.
(0082166)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082167)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082168)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082169)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-09-22 17:27 ioritzCia New Issue
2015-09-22 17:27 ioritzCia Assigned To => platform
2015-09-22 17:27 ioritzCia Web browser => Google Chrome
2015-09-22 17:27 ioritzCia Modules => Core
2015-09-22 17:27 ioritzCia Triggers an Emergency Pack => No
2015-09-22 17:49 ioritzCia Web browser Google Chrome => Google Chrome
2015-09-22 17:49 ioritzCia Target Version => 3.0PR15Q4
2015-09-23 10:04 alostale Status new => acknowledged
2015-09-23 10:04 alostale Tag Attached: Performance
2015-09-24 10:40 ioritzCia Web browser Google Chrome => Google Chrome
2015-09-24 10:40 ioritzCia Summary Xsql files parser does not close connection and release statement for callable statements => Xsql files parser does not release statement for callable statements
2015-09-24 10:40 ioritzCia Description Updated View Revisions
2015-09-24 10:40 ioritzCia Steps to Reproduce Updated View Revisions
2015-09-24 10:40 ioritzCia Proposed Solution updated
2015-09-29 12:29 alostale Target Version 3.0PR15Q4 => 3.0PR16Q1
2015-10-29 17:16 egoitz Web browser Google Chrome => Google Chrome
2015-10-29 17:18 egoitz Issue Monitored: egoitz
2015-10-30 07:50 alostale Assigned To platform => alostale
2015-10-30 07:50 alostale Status acknowledged => scheduled
2015-11-02 13:38 hgbot Checkin
2015-11-02 13:38 hgbot Note Added: 0081438
2015-11-02 13:38 hgbot Status scheduled => resolved
2015-11-02 13:38 hgbot Resolution open => fixed
2015-11-02 13:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4eceadac7f74a09ffa771900c4f3a5a1403d97e8 [^]
2015-11-02 13:38 alostale Review Assigned To => caristu
2015-11-02 13:38 alostale Web browser Google Chrome => Google Chrome
2015-11-02 13:38 alostale Status resolved => scheduled
2015-11-02 13:38 alostale Resolution fixed => open
2015-11-02 13:38 alostale Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/4eceadac7f74a09ffa771900c4f3a5a1403d97e8 [^] =>
2015-11-02 13:38 hgbot Checkin
2015-11-02 13:38 hgbot Note Added: 0081439
2015-11-02 13:39 hgbot Checkin
2015-11-02 13:39 hgbot Note Added: 0081440
2015-11-02 13:39 hgbot Checkin
2015-11-02 13:39 hgbot Note Added: 0081441
2015-11-02 13:39 alostale Status scheduled => resolved
2015-11-02 13:39 alostale Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4eceadac7f74a09ffa771900c4f3a5a1403d97e8 [^]
2015-11-02 13:39 alostale Resolution open => fixed
2015-11-04 09:08 caristu Note Added: 0081463
2015-11-04 09:08 caristu Status resolved => closed
2015-11-04 09:08 caristu Fixed in Version => 3.0PR16Q1
2015-11-05 10:08 alostale Relationship added related to 0031366
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082166
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082167
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082168
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082169


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker